import { Component } from 'preact';
import { Upgrader } from './render';
export interface Props {
    html?: string;
    xml?: string;
    upgrade: Upgrader;
}
export default class Markup extends Component<Props, never> {
    private upgrader;
    shouldComponentUpdate({html, xml}: Props): boolean;
    setComponents(components: Upgrader): void;
    render(props: Props): JSX.Element | null;
}
