"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function default_1(source, _sourceMap) {
    this.cacheable();
    var newSource = "\n  " + source + "\n  ;(function (Component) {\n    Component = Component.default || Component\n    var isFunction = typeof Component === 'function'\n\n    if (module.hot) {\n      module.hot.accept()\n\n      // this should only occur when we are using HMR,\n      // never when we boot\n      if (module.hot.status() === 'apply' && isFunction) {\n        Component()\n        return\n      }\n    }\n    \n    // this should only get rendered on boot, never during HMR\n    if (isFunction){\n      Component()\n    }\n  })(\n    require('" + this.resourcePath + "')\n  )\n  ";
    this.callback(null, newSource, undefined);
}
exports.default = default_1;
