/// <reference types="webpack" />
import { Plugin, Compiler } from 'webpack';
export declare namespace Messages {
    interface Input {
        interactive: boolean;
    }
}
export default class Messages implements Plugin {
    private readonly input;
    constructor(input: Messages.Input);
    apply(compiler: Compiler): void;
    private done;
    private invalid;
    private success(stats);
    private errors(errors);
    private warnings(warnings);
    private extract(stats, type);
    private duration(stats);
    private clear();
    private format(message);
}
