"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Deferred = /** @class */ (function () {
    function Deferred() {
        var _this = this;
        this.res = function (_value) { };
        this.rej = function (_reason) { };
        this.promise = new Promise(function (resolve, reject) {
            _this.res = resolve;
            _this.rej = reject;
        });
    }
    Deferred.prototype.wait = function () {
        return this.promise;
    };
    Deferred.prototype.resolve = function (value) {
        return this.res(value);
    };
    Deferred.prototype.reject = function (reason) {
        return this.rej(reason);
    };
    return Deferred;
}());
exports.default = Deferred;
