"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var multi_error_1 = require("./multi-error");
// import CustomError from './error'
function Pall(promises) {
    return tslib_1.__awaiter(this, void 0, void 0, function () {
        var results, err_1, errors, values, i, result;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    results = [];
                    _a.label = 1;
                case 1:
                    _a.trys.push([1, 3, , 4]);
                    return [4 /*yield*/, Promise.all(promises)];
                case 2:
                    results = _a.sent();
                    return [3 /*break*/, 4];
                case 3:
                    err_1 = _a.sent();
                    return [2 /*return*/, err_1];
                case 4:
                    errors = [];
                    values = [];
                    for (i = 0; i < results.length; i++) {
                        result = results[i];
                        if (result instanceof Error) {
                            errors.push(result);
                        }
                        else {
                            values.push(result);
                        }
                    }
                    if (errors.length == 1)
                        return [2 /*return*/, errors[0]];
                    if (errors.length > 1)
                        return [2 /*return*/, new multi_error_1.default(errors)];
                    return [2 /*return*/, values];
            }
        });
    });
}
exports.default = Pall;
