/// <reference types="webpack" />
import * as webpack from 'webpack';
import { Route } from '../elmo';
/**
 * Input params
 */
export declare namespace Webpack {
    interface Input {
        aliases: {
            [module: string]: string;
        };
        environment: 'production' | 'development';
        routes: Route[];
        target: string;
        action: string;
        root: string;
    }
}
/**
 * Webpack Config
 */
export default function Webpack(input: Webpack.Input): Promise<Error | webpack.Configuration | null>;
