export declare type URL = {
    protocol: string;
    host: string;
    port: number;
    hostname: string;
    hash: string;
    search: string;
    query: {
        [s: string]: string | boolean;
    };
    pathname: string;
    href: string;
};
export declare function parse(url: string): URL;
