import { URL } from '../elmo';
import { Component } from 'preact';
import Router from './router';
export declare namespace Provider {
    interface Props {
        router: Router;
        url: URL;
        params: {
            [param: string]: string;
        };
    }
}
export default class Provider extends Component<Provider.Props, never> {
    constructor(props: Provider.Props);
    getChildContext(): {
        router: Router;
        url: URL;
        params: {
            [param: string]: string;
        };
    };
    render(): JSX.Element | null;
}
