export declare type Route = {
    path: string;
    regexp: string;
    params: (string | number)[];
};
/**
 * Router
 */
export default class Router {
    routes: Route[];
    cache: {
        [path: string]: any;
    };
    constructor(routes?: Route[]);
    push(url: string): Promise<void>;
    replace(url: string): Promise<void>;
    _update(Component: any, path: string): Promise<void>;
    private error(err);
    private onPopState;
    private possLoad(url);
    private load(as);
    private get(url);
    private renderComponent(Component, url, params);
    private getURL();
    private evaluate(script);
    private findRoute(path);
}
