"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var preact_1 = require("preact");
function flushToVNode(flushed) {
    var arr = [];
    for (var id in flushed) {
        var css = flushed[id];
        arr.push(preact_1.h('style', {
            key: id,
            id: id,
            dangerouslySetInnerHTML: {
                __html: css
            }
        }));
    }
    return arr.reverse();
}
exports.default = flushToVNode;
function flushToHTML(flushed) {
    var arr = [];
    for (var id in flushed) {
        arr.push("<style>" + flushed[id] + "</style>");
    }
    return arr.reverse().join('');
}
exports.flushToHTML = flushToHTML;
