"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Evaluate = require("eval");
/**
 * Evaluate the component
 */
function evaluate(entry, source, globals) {
    var render;
    try {
        render = Evaluate(source, entry /* filename: */, globals /* scope: */, true /* includeGlobals: */);
    }
    catch (err) {
        return err;
    }
    if (render.hasOwnProperty('default')) {
        render = render['default'];
    }
    return render;
}
exports.default = evaluate;
